import { UmbLitElement } from '../../../../../../core/lit-element/index.js';
import type { UmbWorkspaceViewElement } from '../../../../../../core/workspace/index.js';
export declare class UmbBlockGridAreaTypeWorkspaceViewSettingsElement extends UmbLitElement implements UmbWorkspaceViewElement {
    #private;
    private _minValue?;
    private _maxValue?;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbBlockGridAreaTypeWorkspaceViewSettingsElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-block-grid-area-type-workspace-view-settings': UmbBlockGridAreaTypeWorkspaceViewSettingsElement;
    }
}
